Go to advanced search

by exobuzz
Mon May 20, 2019 2:45 pm
Forum: Advanced users
Topic: Moving Linux kernel to 4.19
Replies: 280
Views: 91644

Re: Moving Linux kernel to 4.19

Not directly related to the kernel update, but just a heads up that your mirror 93.93.128.130 doesn't seem to have updated or has an issue so if that mirror is chosen users will get 404s on the packages. Updated with what? The development kernels as discussed here are not on any mirrors AFAIAA Are ...
by exobuzz
Mon May 20, 2019 3:49 am
Forum: Advanced users
Topic: Moving Linux kernel to 4.19
Replies: 280
Views: 91644

Re: Moving Linux kernel to 4.19

Not directly related to the kernel update, but just a heads up that your mirror 93.93.128.130 doesn't seem to have updated or has an issue so if that mirror is chosen users will get 404s on the packages.
by exobuzz
Thu Oct 27, 2016 6:39 am
Forum: Raspbian
Topic: SDL2 version 2.0.4 package availability
Replies: 13
Views: 5198

Re: SDL2 version 2.0.4 package availability

yes, but you can just follow the instructions in the post above and use it to just install sdl2 on raspbian.
by exobuzz
Sun Sep 11, 2016 9:01 am
Forum: Gaming
Topic: NEW: Darkplaces Quake engine up and running on Raspberry PI
Replies: 112
Views: 58927

Re: NEW: Darkplaces Quake engine up and running on Raspberry

Not done any experimenting I'm afraid.
by exobuzz
Thu Sep 08, 2016 7:04 pm
Forum: Gaming
Topic: NEW: Darkplaces Quake engine up and running on Raspberry PI
Replies: 112
Views: 58927

Re: NEW: Darkplaces Quake engine up and running on Raspberry

It uses sdl2 here - I forgot to mention that a raspberrypi targetted sdl2 is required also (eg like the one included in RetroPie) readelf -d ./darkplaces-sdl Dynamic section at offset 0x2ae00c contains 32 entries: Tag Type Name/Value 0x00000001 (NEEDED) Shared library: [libm.so.6] 0x00000001 (NEEDED...
by exobuzz
Thu Sep 08, 2016 1:49 pm
Forum: Gaming
Topic: NEW: Darkplaces Quake engine up and running on Raspberry PI
Replies: 112
Views: 58927

Re: NEW: Darkplaces Quake engine up and running on Raspberry

To build on RPI git clone -b rpi https://github.com/joolswills/darkplaces make sdl-release DP_MAKE_TARGET=rpi RPI2 optimised - CFLAGS="-mcpu=cortex-a7 -mfpu=neon-vfpv4 -mfloat-abi=hard -funsafe-math-optimizations" make -j4 sdl-release DP_MAKE_TARGET=rpi RPI3 optimised (may well not performance bette...
by exobuzz
Thu Sep 08, 2016 2:57 am
Forum: Gaming
Topic: NEW: Darkplaces Quake engine up and running on Raspberry PI
Replies: 112
Views: 58927

Re: NEW: Darkplaces Quake engine up and running on Raspberry

I have looked at the original darkplaces code - and with some minor source changes and a quick makefile hack, I have it built on the rpi with GLES2 acceleration - will clean up my changes and provide source changes needed to build on the RPI (and will include in retropie)
by exobuzz
Thu Sep 08, 2016 1:28 am
Forum: Gaming
Topic: NEW: Darkplaces Quake engine up and running on Raspberry PI
Replies: 112
Views: 58927

Re: NEW: Darkplaces Quake engine up and running on Raspberry

Just FYI - Author has no intention of releasing the source code. There was an issue open for it - which some comments were made on - the author first claimed their interpretation of the GPL meant they didn't need to release the source as they were not selling it. Then they claimed the sourcecode was...
by exobuzz
Thu Aug 18, 2016 1:18 am
Forum: Raspbian
Topic: Raspbian mirror incorrectly configured (ipv6 firewalled)
Replies: 0
Views: 412

Raspbian mirror incorrectly configured (ipv6 firewalled)

The raspbian mirror raspbian-us.ngc292.space has an AAAA dns entry (2604:a880:400:d0::271:5001) but isn't accessible over ipv6 (firewalled / or routing problem). This causes a delay when using apt-get while the ipv6 times out (unless you prioritise ipv4 over ipv6). It would be better if the AAAA rec...
by exobuzz
Fri Aug 05, 2016 5:38 pm
Forum: Gaming
Topic: Uae4arm: Amiga emulator with JIT and DispmanX
Replies: 591
Views: 168002

Re: Uae4arm: Amiga emulator with JIT and DispmanX

No. Moreover I think the ipf library is closed source and support only x86 ATM... Just noticed this and wanted to mention that the library code is available and does build on the RPI. See https://github.com/RetroPie/RetroPie-Setup/blob/master/scriptmodules/emulators/hatari.sh for the retropie modul...
by exobuzz
Fri Apr 29, 2016 5:00 pm
Forum: Raspbian
Topic: Kodi 15/16/17 Packages for Raspbian
Replies: 745
Views: 577389

Re: Kodi 15 Packages for Raspbian Wheezy & Jessie for RPi2

Killing FBI isn't always safe btw - I have noticed this when experimenting with using FBI on game launching in RetroPie https://github.com/RetroPie/RetroPie-Setup/commit/bc54500c9b424218d53661eb9a8895202e45c80f (I can't remember exactly, but I think on occasion it could leave the FB in a bad state o...
by exobuzz
Fri Apr 29, 2016 4:54 pm
Forum: Raspbian
Topic: Kodi 15/16/17 Packages for Raspbian
Replies: 745
Views: 577389

Re: Kodi 15 Packages for Raspbian Wheezy & Jessie for RPi2

one option Instead of killing it, you could just wait for FBI to exit (on RetroPie at least, the splashscreen displays for 20s only)
by exobuzz
Mon Apr 25, 2016 4:42 am
Forum: Gaming
Topic: PS2 Controller not working in RetroPie
Replies: 3
Views: 2604

Re: PS2 Controller not working in RetroPie

There is a dedicated RetroPie forum @ https://retropie.org.uk/forum/ - which you might find a better place for retropie specific questions.

the automatic control set-up is only for libretro emulators (those starting with lr-)

https://github.com/RetroPie/RetroPie-Se ... oy-Advance
by exobuzz
Mon Apr 25, 2016 4:39 am
Forum: Troubleshooting
Topic: Raspberry 3 and RetroPie
Replies: 3
Views: 636

Re: Raspberry 3 and RetroPie

No need to choose a source install - if using the retropie image it is ready to go.

Follow the installation instructions

https://github.com/retropie/retropie-se ... stallation
by exobuzz
Fri Apr 15, 2016 2:49 pm
Forum: Raspbian
Topic: SDL2 version 2.0.4 package availability
Replies: 13
Views: 5198

Re: SDL2 version 2.0.4 package availability

RetroPie-Setup has a set of working sdl2.0.4 debs

if you checkout the code from https://github.com/RetroPie/RetroPie-Setup

you can just do

sudo ./retropie_packages.sh sdl2 install_bin

(no need to actually install retropie etc - but no repository as such).
by exobuzz
Mon Apr 04, 2016 7:25 pm
Forum: Beginners
Topic: Upgrade to Kodi 16 jarvis
Replies: 8
Views: 25680

Re: Upgrade to Kodi 16 jarvis

use the instructions from that post. their distro/site is in Portuguese - Kodi will work in English.
by exobuzz
Mon Apr 04, 2016 7:08 pm
Forum: Raspbian
Topic: Kodi 15/16/17 Packages for Raspbian
Replies: 745
Views: 577389

Re: Kodi 15 Packages for Raspbian Wheezy & Jessie for RPi2

Also please can you make your source packages available somewhere? Thanks.
by exobuzz
Mon Apr 04, 2016 7:07 pm
Forum: Beginners
Topic: Upgrade to Kodi 16 jarvis
Replies: 8
Views: 25680

Re: Upgrade to Kodi 16 jarvis

it would be useful to get the Raspbian package updated (with joystick support compiled in) - there is a Kodi 16 package via viewtopic.php?f=66&t=109088 (towards the end of the threads - look for for the pipplware repository).
by exobuzz
Mon Apr 04, 2016 6:34 pm
Forum: Raspbian
Topic: Kodi 15/16/17 Packages for Raspbian
Replies: 745
Views: 577389

Re: Kodi 15 Packages for Raspbian Wheezy & Jessie for RPi2

@rascas Would you be ok with RetroPie including this repository for installing of Kodi ? You can use the packages of course, but I would prefer that you copy the packages to another server, because I don't know if it has the power and bandwith necessary for a much bigger use. please can you set me ...
by exobuzz
Thu Mar 31, 2016 9:06 pm
Forum: Raspbian
Topic: Kodi 15/16/17 Packages for Raspbian
Replies: 745
Views: 577389

Re: Kodi 15 Packages for Raspbian Wheezy & Jessie for RPi2

@rascas

Would you be ok with RetroPie including this repository for installing of Kodi ?
by exobuzz
Fri Mar 25, 2016 3:04 pm
Forum: Raspbian
Topic: Kodi 15/16/17 Packages for Raspbian
Replies: 745
Views: 577389

Re: Kodi 15 Packages for Raspbian Wheezy & Jessie for RPi2

@rascas

Thanks for providing this - useful to have the gamepad support built in.

I would like to include your repository in RetroPie-Setup if that's ok? We currently just install from the Raspbian Repository - but that is not updated, and also lacks the gamepad support.
by exobuzz
Fri Feb 19, 2016 11:23 am
Forum: Gaming
Topic: RetroPie Setup - Auto-installer/updater for RetroArch gaming
Replies: 853
Views: 481674

Re: RetroPie Setup - Auto-installer/updater for RetroArch ga

it says what the problem is. it cant determine the platform as you are in an emulated environment.

set the __platofrm flag

sudo __platform=rpi2 ./retropie_ppackages.sh etc
by exobuzz
Sat Feb 06, 2016 11:41 am
Forum: Gaming
Topic: HAPPI game center
Replies: 15
Views: 6232

Re: HAPPI game center

Where are the sources available ?
by exobuzz
Tue Jan 26, 2016 5:48 am
Forum: Gaming
Topic: RetroPie Screen Size Help
Replies: 4
Views: 3010

Re: RetroPie Screen Size Help

I read that you can press x on a keyboard as the ROM loads and change video display output. Or you can edit /etc/emulationstation/es_systems.cfg And under the emulator you want fullscreen (ex. NES) where it says "runcommand.sh 1" (without quotes) change the 1 to a 2. From: https://www.raspberrypi.o...

Go to advanced search